/* Copyright (C) 2003 Covansys India
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
// BViewView.h : interface of the CBViewView class
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BVIEWVIEW_H__6B54C1F5_050C_4E41_96EF_B72BAD958A11__INCLUDED_)
#define AFX_BVIEWVIEW_H__6B54C1F5_050C_4E41_96EF_B72BAD958A11__INCLUDED_
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BView.h"
#include "BViewDoc.h"

class CBViewView : public CHtmlView
{
protected: // create from serialization only
	CBViewView();
	DECLARE_DYNCREATE(CBViewView)

// Attributes
public:
	CBViewDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBViewView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnBeforeNavigate2(LPCTSTR lpszURL, DWORD nFlags, LPCTSTR lpszTargetFrameName, CByteArray& baPostedData, LPCTSTR lpszHeaders, BOOL* pbCancel);
	virtual void OnDocumentComplete(LPCTSTR lpszURL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBViewView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBViewView)
	afx_msg void OnNavigateBack();
	afx_msg void OnNavigateForward();
	afx_msg void OnFileOpen();
	afx_msg void OnUpdateNavigateBack(CCmdUI* pCmdUI);
	afx_msg void OnUpdateNavigateForward(CCmdUI* pCmdUI);
	afx_msg void OnNavigateFirst();
	afx_msg void OnNavigateLast();
	afx_msg void OnUpdateNavigateFirst(CCmdUI* pCmdUI);
	afx_msg void OnUpdateNavigateLast(CCmdUI* pCmdUI);
	afx_msg void OnOptionSetsilent();
	afx_msg void OnUpdateOptionSetsilent(CCmdUI* pCmdUI);
	afx_msg void OnBviewCommand();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	CStringArray sUrl;	//Array of URL to be Navigated
	CStringArray sFileName;	//Array of Pages to be Navigated
	int nPresent;		//The Present Page Accessed

	bool bsetsilent;
private:
	CString m_infFileName;	//File Name of the Present Page
	void infLoad();		//The member function to Load *.inf file into Arrays
};

#ifndef _DEBUG  // debug version in BViewView.cpp
inline CBViewDoc* CBViewView::GetDocument()
   { return (CBViewDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BVIEWVIEW_H__6B54C1F5_050C_4E41_96EF_B72BAD958A11__INCLUDED_)
